<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processor/Processor.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processor.Processor</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../Processor.html" >Processor</a>
</div><div class="class-name">class Processor

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/Processor.py.html" target="detail">../Synopsis/Processor.py</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Processor" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line99" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Processor-inheritance" src="Processor-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Processor-inheritance_map" />
<map name="Processor-inheritance_map"><area alt="Scopes/Synopsis/Processor/Store.html" href="Store.html" shape="rect" coords="5, 156, 165, 180" />
<area alt="Scopes/Synopsis/Processor/Composite.html" href="Composite.html" shape="rect" coords="189, 156, 379, 180" />
<area alt="Scopes/Synopsis/Processor/Parametrized.html" href="Parametrized.html" shape="rect" coords="81, 7, 287, 31" />
</map>
 <div class="doc">Processor documentation...</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="verbose">verbose</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line102" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="debug">debug</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line103" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="profile">profile</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line104" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="input">input</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line105" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="output">output</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line106" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Processor.html#merge_input" >merge_input</a></span>(<span class="variable">self</span>, <span class="variable">ir</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Processor.merge_input" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line108" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Processor.html#output_and_return_ir" >output_and_return_ir</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Processor.output_and_return_ir" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line118" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Processor.html#process" >process</a></span>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Processor.process" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line125" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The process method provides the interface to be implemented by subclasses.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Methods Inherited from Parametrized">
<tr><td colspan="2" class="heading">Methods Inherited from Parametrized</td></tr>
<tr><td class="inherited"><a href="Parametrized.html#__init__" title="method Parametrized.__init__">__init__</a>,
<a href="Parametrized.html#clone" title="method Parametrized.clone">clone</a>,
<a href="Parametrized.html#get_parameters" title="method Parametrized.get_parameters">get_parameters</a>,
<a href="Parametrized.html#set_parameters" title="method Parametrized.set_parameters">set_parameters</a></td></tr></table>
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="merge_input">merge_input</a>(<span class="variable">self</span>, <span class="variable">ir</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Processor.merge_input" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line108" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Join the given IR with a set of IRs to be read from 'input' parameter</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="output_and_return_ir">output_and_return_ir</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Processor.output_and_return_ir" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line118" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">writes output if the 'output' attribute is set&#44; then returns</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Processor.process" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line125" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The process method provides the interface to be implemented by subclasses.
      
      Commonly used arguments are 'input' and 'output'. If 'input' is defined&#44;
      it is interpreted as one or more input file names. If 'output' is defined&#44; it
      is interpreted as an output file &#40;or directory&#41; name.
      This implementation may serve as a template for real processors.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:55 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
